%define ver 0.4
%define rel 1
%define input_plugin_dir %(xmms-config --input-plugin-dir)

Summary: XMMS input plugin that plays Atari XL/XE tune files (with .sap extension)
Name: insap
Version: %ver
Release: %rel
Copyright: freeware
Group: Applications/Multimedia
Source: insap-%{ver}.tar.gz
URL: http://kunik.republika.pl/sap
Packager: Michal Kunikowski <kunik@poczta.onet.pl>
Prefix: %{input_plugin_dir}
Requires: xmms >= 1.0.1, gtk+ >= 1.2.2, libsap

%description
Insap is a XMMS input plugin. It decodes Atari XL/XE tune files, files which 
have .sap extension.
To play tunes it uses libsap which is a software emulation of CPU 6502
microprocessor and Pokey chip. Those two chips are used in Atari XL/XE
computers. Libsap runs porgrams written in 6502 machine language, programs
that use Pokey chip to play tunes and sounds.

%prep
%setup

%build
make

%install
make install

%clean
make uninstall

%files
%doc README CHANGELOG TODO
%{input_plugin_dir}/insap.so
